module Slave_Floor_Select(
							Reset,
							En,
							Up_Request,
							Down_Request,
							Slave_Floor
							);
input  Reset;
input  En;
input  Up_Request;
input  Down_Request;
output [4:0] Slave_Floor;

reg [4:0] Slave_Floor;
reg [4:0] CNT1,CNT2;

always @(Reset or En or Up_Request or Down_Request or CNT1 or CNT2)
begin
  if((Reset == 1'b1) || (En == 1'b1))
      Slave_Floor <= 5'b0;
  else
    begin
      if(Up_Request == 1'b1)
        CNT1 <= 5'b11000; //ÉÏÉý
      else if(Down_Request == 1'b1)
        CNT2 <= 5'b10001; //ÏÂ½µ
      else
        begin
          CNT1 <= 5'b0; //ÎÞÇëÇó
          CNT2 <= 5'b0;
        end
      Slave_Floor <= (CNT1 | CNT2);
    end
end

endmodule